#include <iostream>

using namespace std;

int main()
{
    int n, k, prva, karta;
    cin >> n >> k;
    int ind;
    cin >> prva;
    if (prva == k)
    {
        cin >> karta;
        cout << karta;
    }
    else
    {
        for(int i = 1; i < n; i++)
        {
            cin >> karta;
            if (karta == k)
            {
                ind = i;
                break;
            }
        }
        if (ind + 1 == n)
        {
            cout << prva;
        }
        else
        {
            cin >> karta;
            cout << karta;
        }
    }

    return 0;
}